> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all visit types

> Operacion: Get all visit types.



## OpenAPI

````yaml /generated/specs/operations.json get /api/v1/visit_type
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/visit_type:
    get:
      tags:
        - Visit Types
      summary: Get all visit types
      description: 'Operacion: Get all visit types.'
      operationId: VisitTypeController_findAll
      parameters: []
      responses:
        '200':
          description: List of visit types with category info
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/VisitTypeWithCategoryResponseDto'
      security:
        - bearerAuth: []
components:
  schemas:
    VisitTypeWithCategoryResponseDto:
      type: object
      properties:
        visit_type_id:
          type: number
          description: Visit type ID
        visit_type_name:
          type: string
          description: Visit type name
        visit_category_type_id:
          type: object
          description: Visit category type ID
        created_at:
          type: object
          description: Created at
        updated_at:
          type: object
          description: Updated at
        visit_category_type_name:
          type: object
          description: Visit category type name
      required:
        - visit_type_id
        - visit_type_name
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````